curl -X POST https://api.linkedcamp.com/campaigns \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let'\''s connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts."
}
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/campaigns",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let's connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts.",
},
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/campaigns", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "Outreach Campaign",
url: "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
sequence: "CONNECT",
content: {
longNote: "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
shortNote: "Hi {{firstName}}, let's connect!",
message1: "Thanks for connecting! I wanted to reach out about...",
message2: "Just following up on my previous message...",
message3: "Final follow-up - would love to hear your thoughts.",
},
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign created successfully!",
"campaignId": "60f7a1b2c3d4e5f6a7b8c9d0"
}
{
"success": false,
"message": "Title is required!"
}
Campaigns
Create Campaign
Create a new LinkedIn outreach campaign.
POST
/
campaigns
curl -X POST https://api.linkedcamp.com/campaigns \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let'\''s connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts."
}
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/campaigns",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let's connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts.",
},
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/campaigns", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "Outreach Campaign",
url: "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
sequence: "CONNECT",
content: {
longNote: "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
shortNote: "Hi {{firstName}}, let's connect!",
message1: "Thanks for connecting! I wanted to reach out about...",
message2: "Just following up on my previous message...",
message3: "Final follow-up - would love to hear your thoughts.",
},
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign created successfully!",
"campaignId": "60f7a1b2c3d4e5f6a7b8c9d0"
}
{
"success": false,
"message": "Title is required!"
}
Headers
string
required
Your LinkedCamp API token.
Body Parameters
string
required
The name of the campaign.
string
A LinkedIn search URL to source leads from. For example, a LinkedIn People Search URL with filters applied.
string
required
The type of outreach sequence to use.Available values:
CONNECT, MESSAGE, INMAIL, EMAILobject
required
The message content for each step of the sequence. Fields vary based on the sequence type.
Response
boolean
Whether the request was successful.
string
A human-readable result message.
string
The ID of the newly created campaign.
curl -X POST https://api.linkedcamp.com/campaigns \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let'\''s connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts."
}
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/campaigns",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
"sequence": "CONNECT",
"content": {
"longNote": "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
"shortNote": "Hi {{firstName}}, let's connect!",
"message1": "Thanks for connecting! I wanted to reach out about...",
"message2": "Just following up on my previous message...",
"message3": "Final follow-up - would love to hear your thoughts.",
},
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/campaigns", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "Outreach Campaign",
url: "https://www.linkedin.com/search/results/people/?network=%5B%22S%22%5D&origin=FACETED_SEARCH&sid=Z6B",
sequence: "CONNECT",
content: {
longNote: "Hi {{firstName}}, I noticed we share similar interests. Would love to connect!",
shortNote: "Hi {{firstName}}, let's connect!",
message1: "Thanks for connecting! I wanted to reach out about...",
message2: "Just following up on my previous message...",
message3: "Final follow-up - would love to hear your thoughts.",
},
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign created successfully!",
"campaignId": "60f7a1b2c3d4e5f6a7b8c9d0"
}
{
"success": false,
"message": "Title is required!"
}
⌘I
